/*	This file is part of the auxiliaries library.
	Written by Dick Grune, Vrije Universiteit, Amsterdam.
	$Id: ls.h,v 1.6 2016-03-31 09:25:25 Gebruiker Exp $
*/

#ifndef	_LS_H_
#define _LS_H_

#include	<sys/types.h>
#include	<sys/stat.h>

extern int ls(const char *name, const struct stat *buf, const char *flags);
/*
	Prints an ls-like line, using printf, for a file with name
	name; the stat-buffer of the file must be given in buf.
	The flags are those of ls(1); the options
	    -l, -i, -d, -r (reverse base name and dir name), -s (size only)
	have been implemented.
	Returns 0 when nothing was printed, 1 otherwise.
*/

#endif	/* _LS_H_ */
